Subject: Re: New packge: lighttpd-1.3.0
From: "Gerrit P. Haase" <[email-masked]>
To: "Gerrit @ cygwin" <[email-masked]>
Date: Thu, 23 Sep 2004 14:45:00 +0200

Hello Brian,

>> I have a flag here:
>> --enable-embed=TYPE   EXPERIMENTAL: Enable building of embedded SAPI library
>>                           TYPE is either 'shared' or 'static'. TYPE=shared
>> 
>> is this new in php-5?  Lets see what happens when I define it.

> No, it's the same in php4, and I haven't had to touch it.

> Are you using one of --with-apxs or --with-apache?  The former requires
> Apache to be installed and the apxs binary in the path or specified
> location, and the latter requires an Apache source tree that's been
> configured.  If neither is found or gives an error then it won't try to
> build as an apache module, which looks like what's happening in your
> case -- getting the CLI only.

No I don't use Apache here at home, I running lighttpd now;) I use the
options --enable-fastcgi and two others to get the CGI SAPI.

Now I see "$(LIBTOOL) --mode=compile $(CC) ...." in the Makefile,
which was previously just "$(CC) ...", however I'm not sure what
option makes the difference, I already see now what the problem is, if
you have a source tree with the static archives ready compiled you can
try the following, remove all *.la files, add to the Makefile:
LDFLAGS = -no-undefined
and run make again and see if the modules are compiled shared then.

There should be lines like this in the Makefile:
ext/bcmath/bcmath.la: $(shared_objects_bcmath) $(BCMATH_SHARED_DEPENDENCIES)
        $(LIBTOOL) --mode=link $(CC) $(COMMON_FLAGS) $(CFLAGS_CLEAN) $(EXTRA_CFLAGS) $(LDFLAGS) -o $@ -export-dynamic -avoid-version -prefer-pic -module -rpath $(phplibdir) $(EXTRA_LDFLAGS) $(shared_objects_bcmath) $(BCMATH_SHARED_LIBADD)

Originally LDFLAGS is empty.  BUT, BCMATH_SHARED_LIBADD is empty too,
so it needs to hold a reference to libphp5 else there will be most
probably failures during linking because of unresolved references.

This will need some more changes in their build system, that is
we need to update all config.m4 files to include the reference to
libphp.la for all modules which are available.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/